﻿using System;
using System.Collections;
using System.IO;
using Telerik.Windows.Controls;

namespace Telerik.Windows.Examples.HeatMap
{
    public abstract class DataSourceViewModelBase : ViewModelBase
    {
        protected const string silverlightPath = "DataSources/{0}";

        protected virtual void GetData( string fileName )
        {
            Uri dataURI = new Uri( Telerik.Windows.Examples.HeatMap.URIHelper.CurrentApplicationURL, string.Format( DataSourceViewModelBase.silverlightPath, fileName ) );
            System.Net.WebClient dataRetriever = new System.Net.WebClient();
            dataRetriever.DownloadStringCompleted += DownloadStringCompleted;
            dataRetriever.DownloadStringAsync( dataURI );
        }

        protected abstract void GetDataCompleted( IEnumerable data );

        protected abstract IEnumerable ParseData( TextReader dataReader );

        private void DownloadStringCompleted( object sender, System.Net.DownloadStringCompletedEventArgs e )
        {
            StringReader dataReader = new StringReader( e.Result );
            GetDataCompleted( this.ParseData( dataReader ) );
        }
    }
}