﻿using System.Collections.ObjectModel;
using System.Windows;
using Microsoft.Phone.Controls;

namespace RadDataBoundListBox
{
    public partial class MainPage : PhoneApplicationPage
    {
        ObservableCollection<string> source = new ObservableCollection<string>();

        // Constructor
        public MainPage()
        {
            InitializeComponent();
            Loaded += new RoutedEventHandler( MainPage_Loaded );
        }

        private void MainPage_Loaded( object sender, RoutedEventArgs e )
        {
            for (int i = 0; i < 1500; i++)
            {
                source.Add( "Developer " + i.ToString() );
            }

            this.xDataBoundListBox.ItemsSource = source;
        }

        public void btnRemoveClick( object sender, RoutedEventArgs e )
        {
            this.source.RemoveAt( 0 );
        }

        public void btnAddClick( object sender, RoutedEventArgs e )
        {
            this.source.Insert( 0, "Michael" );
        }

        private void xDataBoundListBox_SelectionChanging( object sender, Telerik.Windows.Controls.SelectionChangingEventArgs e )
        {
            MessageBox.Show( "Selection changing" );
        }

        private void xDataBoundListBox_SelectionChanged( object sender, System.Windows.Controls.SelectionChangedEventArgs e )
        {
            MessageBox.Show( "Selection changed" );
        }

        private void xDataBoundListBox_ItemTap( object sender, Telerik.Windows.Controls.ListBoxItemTapEventArgs e )
        {
            MessageBox.Show( xDataBoundListBox.SelectedItem.ToString() );
        }

        private void xDataBoundListBox_RefreshRequested( object sender, System.EventArgs e )
        {
            MessageBox.Show( "Refresh!" );
            xDataBoundListBox.StopPullToRefreshLoading( true );
        }
    }
}