﻿using System.Windows;
using System.Windows.Controls;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Diagrams;
using Telerik.Windows.Controls.Diagrams.Extensions;
using Telerik.Windows.Diagrams.Core;

namespace RadDiagramQ2
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            this.DiagramToolbox.ItemsSource = new HierarchicalGalleryItemsCollection();

            var shape1 = new RadDiagramShape();
            var shape2 = new RadDiagramShape();

            var connection = new RadDiagramConnection
            {
                ConnectionType = ConnectionType.Bezier,
                Source = shape1,
                Target = shape2
            };

            ExtensionsDiagram.AddShape( shape1, new Point( 100, 100 ) );
            ExtensionsDiagram.AddShape( shape2, new Point( 500, 500 ) );
            ExtensionsDiagram.AddConnection( connection );

            var group1 = ExtensionsDiagram.Group( "group1", shape1, shape2 );

            var shape3 = new RadDiagramShape
            {
                UseDefaultConnectors = false
            };

            shape3.Connectors.Add( new RadDiagramConnector() { Name = "Top", Offset = new Point( .5, 0 ) } );
            shape3.Connectors.Add( new RadDiagramConnector() { Name = "Bottom", Offset = new Point( .5, 1 ) } );
            ExtensionsDiagram.AddShape( shape3, new Point( 500, 100 ) );
        }
    }
}